/*
  License text attribution: zlib license at http://www.gzip.org/zlib/zlib_license.html
  This license is a modification of the zlib license, changing names and dates.

  Copyright (C) 2007 Samson Chee

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.

  Samson Chee samson@herethere.net
*/

#ifndef __bubble_sprite_h__
#define __bubble_sprite_h__

float* bs_calculate_map(int pX, int pY, int pSupersampling = 4);
void bs_free_map(float* pMap);

HBITMAP bs_color_sphere(HDC pHDC, int pX, int pY, float* pMap, COLORREF pColor);

#endif // __bubble_sprite_h__
